store-jefgas-purchase-orders-get-one¶
Source¶
Repository:
jef-systems/jef-store-backendSource Run ID:
25333167796Source SHA:
69cb846339fa14db005aec45414a4a94ec2a821eModule:
storeDocumentation Scope:
getLambda:
jef-store-get-25
Endpoint¶
API Name:
jef-storeAction Name:
getMethod:
GETScope Label:
GETResource Path:
/store-jefgas-purchase-orders-get-oneComplete Endpoint:
https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-jefgas-purchase-orders-get-oneLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-store-get-25curl payload mode:
query_string
API Gateway Description¶
Function: jef-store-get-25
API Name: jef-store
Action: get
Method: GET
Resource Path: /store-jefgas-purchase-orders-get-one
Table:
- table: jef-store-jefgas-purchase-orders
- operation: get-one
Payload Schema:
- pk: purchase_order_number
Payload Example:
- pk: PURORD-1001-0001
Response Schema:
- exists: boolean
- message: string
- item: {"purchase_order_number":"string","entity_number":"string","supplier":"string","fuel_type":"string","quantity_text":"string","notes":"string","status":"string","is_active":"boolean","is_deleted":"boolean","deleted_at":"string","created_at":"string","updated_at":"string","idempotency_key":"string","schema_version":"number","version":"number"}
Request Payload¶
{
"pk": "purchase_order_number"
}
Response¶
{
"exists": "boolean",
"message": "string",
"item": "{\"purchase_order_number\":\"string\",\"entity_number\":\"string\",\"supplier\":\"string\",\"fuel_type\":\"string\",\"quantity_text\":\"string\",\"notes\":\"string\",\"status\":\"string\",\"is_active\":\"boolean\",\"is_deleted\":\"boolean\",\"deleted_at\":\"string\",\"created_at\":\"string\",\"updated_at\":\"string\",\"idempotency_key\":\"string\",\"schema_version\":\"number\",\"version\":\"number\"}"
}
CMD curl¶
curl "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-jefgas-purchase-orders-get-one?pk=PURORD-1001-0001"
PowerShell curl¶
curl.exe "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-jefgas-purchase-orders-get-one?pk=PURORD-1001-0001"